package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author：yan
 * @Package：com.muyu.car.domain
 * @Project：plues
 * @name：CarFaultMessage
 * @Date：2024/9/25 23:45
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "bioa")
@TableName(value = "car_fault_message",autoResultMap = true)
public class CarFaultMessage {
    private Integer id;
    private String sender;
    private String receiver;
    private String content;
    private Integer status;
    @DateTimeFormat(fallbackPatterns = "yyyy-MM-dd hh:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
    private Date createTime;
    private Integer userId;

}
