package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
/**
 * 预警规则对象 warn_rule
 *
 * @author muyu
 * @date 2024-09-20
 */

@EqualsAndHashCode(callSuper = true)
@Data

@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("warn_rule")
public class WarnRule extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 规则id */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String ruleName;

    /** 策略id */
    @Excel(name = "策略id")
    private Long strategyId;

    /** 报文数据类型id */
    @Excel(name = "报文数据类型id")
    private String msgTypeId;

    /** 滑窗时间 */
    @Excel(name = "滑窗时间")
    private Long slideTime;

    /** 滑窗频率 */
    @Excel(name = "滑窗频率")
    private String slideFrequency;

    /** 数据频率名称 */
    @Excel(name = "数据频率名称")
    private String slideData;

    /** 最大值 */
    @Excel(name = "数据频率最大值")
    private Long slideMaxNum;
    /** 最小值 */
    @Excel(name = "数据频率最小值")
    private Long slideMinNum;



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("ruleName", getRuleName())
            .append("strategyId", getStrategyId())
            .append("msgTypeId", getMsgTypeId())
            .append("slideTime", getSlideTime())
            .append("slideFrequency", getSlideFrequency())
            .append("maxValue", getSlideData())
            .append("minValue", getSlideMaxNum())
            .append("slideMinNum", getSlideMinNum())
            .toString();
    }
}
