package com.muyu.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：yang
 * @Package：com.muyu.domain.req
 * @Project：cloud-electronic
 * @name：CarFenceReq
 * @Date：2024/9/17 16:26
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "车辆电子围栏响应参数")
public class CarFenceReq {

    /**
     * 围栏名称
     */
    private String name;
    /**
     * 业务类型ID
     */
    private String clazzId;
    /**
     * 围栏类型ID
     */
    private String typeName;
    /**
     * 当前页
     */
    @Schema(title = "当前页数", type = "Integer", defaultValue = "1", description = "当前页数")
    private Integer pageNum=1;
    /**
     * 条数
     */
    @Schema(title = "分页条数", type = "Integer", defaultValue = "10", description = "每页有多少条")
    private Integer pageSize=10;
}
