package com.muyu.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName SysCarResp
 * @Description TODO
 * @Author Li HD
 * @Date 2024/9/25 20:14
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "车辆类型信息", description = "车辆类型")
public class SysCarResp {

    /**
     * 自增主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 车辆VIN码
     */
    private String carVin;

    /**
     * 车辆车牌号
     */
    private String carPlate;

    /**
     * 车辆品牌
     */
    private String carBrand;

    /**
     * 车辆型号
     */
    private String carModel;

    /**
     * 车辆类型
     */
    private Integer carType;

    /**
     * 车辆类型名称
     */
    private String sysTypeName;

    /**
     * 策略ID
     */
    private Integer warnStrategy;

    /**
     * 围栏组编码
     */
    private String groupCode;

    /**
     * 启用状态
     */
    private Integer state;

    @Override
    public String toString() {
        return "SysCarResp{" +
                "id=" + id +
                ", carVin='" + carVin + '\'' +
                ", carPlate='" + carPlate + '\'' +
                ", carBrand='" + carBrand + '\'' +
                ", carModel='" + carModel + '\'' +
                ", carType=" + carType +
                ", sysTypeName='" + sysTypeName + '\'' +
                ", warnStrategy=" + warnStrategy +
                ", groupCode='" + groupCode + '\'' +
                ", state=" + state +
                '}';
    }
}
