package com.muyu.service.impl;

import cn.hutool.json.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.MessageValue;
import com.muyu.domain.req.MessageValueReq;
import com.muyu.domain.resp.MessageValueListResp;
import com.muyu.mapper.MessageValueMapper;
import com.muyu.service.MessageValueService;
import com.muyu.common.core.utils.StringUtils;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName MessageValueServiceImpl
 * @Description TODO
 * @Author Li HD
 * @Date 2024/9/19
 */
@Service
public class MessageValueServiceImpl
        extends ServiceImpl<MessageValueMapper, MessageValue>
        implements MessageValueService {

    @Override
    public List<MessageValueListResp> findAll(MessageValueReq messageValueReq) {
        LambdaQueryWrapper<MessageValue> queryWrapper = new LambdaQueryWrapper<>();
        if (null != messageValueReq.getMessageTemplateId()) {
            queryWrapper.eq(
                    MessageValue::getTemplateId, messageValueReq.getMessageTemplateId()
            );
        }

        if (StringUtils.isNotBlank(messageValueReq.getMessageType())){
            queryWrapper.eq(
                    MessageValue::getMessageType, messageValueReq.getMessageType()
            );
        }

        List<MessageValue> list = this.list(queryWrapper);
        return list.stream()
                .map(messageValue -> MessageValueListResp.valueBuild(
                                messageValue
                        )
                )
                .toList();
    }

    @Override
    public void test(String str) {
        JSONObject entries = new JSONObject();
        String[] split = str.split(" ");
        StringBuilder stringBuilder = new StringBuilder();
        for (String s : split) {

        }
    }


}
